package com.nokia.sms.blacklist;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.Socket;

/**
 * 连接河北联通垃圾短信黑名单系统的socket客户端
 * 
 * 接口协议详见 河北联通垃圾短信一键解黑接口规范.doc
 */
public class BlacklistTcpClient {
    // ip和端口号用户名密码 由 河北联通垃圾短信黑名单系统 提供
    private static String hostIp = "localhost";
    private static int hostPort = 50000;
    private static String systemId = "smstousu";
    private static String password = "123456";

    /**
     * 解除黑名单
     * 
     * @param phoneNumber
     */
    public void removeBlacklist(String phoneNumber) {
        // 获取socket连接
        Socket client = getSocketConnect();
        // 发送解除黑名单请求
        sendMessage(client, getRemoveBlacklistMessage());
        // 解析解除黑名单请求回应
    }

    private byte[] getRemoveBlacklistMessage() {
        return null;
    }

    /**
     * 获取socket连接
     * 
     * @return
     */
    private Socket getSocketConnect() {
        // 创建socket客户端
        try (Socket client = new Socket(hostIp, hostPort);
                OutputStream outputStream = client.getOutputStream();
                InputStream inputStream = client.getInputStream()) {
            // 向服务器发送连接请求
            sendMessage(client, new byte[0]);
            // 解析服务器返回消息

            // 返回socket连接

        } catch (IOException e) {
            e.printStackTrace();
        }
        return null;
    }

    private byte[] sendMessage(Socket socket, byte[] message) {

        return null;
    }

}
