package com.nokia.sms.blacklist;

import java.nio.ByteBuffer;

/**
 * 构建由客户端发送给服务器的各类消息
 * 
 * 协议参考 河北联通垃圾短信一键解黑接口规范.docx
 */
public class ResponMessageUtil {

    /**
     * 从buffer的从offset开始的4个字节中读取一个无符号整数，以long的类型返回
     * 
     * @param buffer 字节数组
     * @param offset 起始位置
     * @return long类型表示的一个无符号整数
     */
    private static long getUnsignedIntegerFromBytes(byte[] buffer, int offset) {
        // 识别
        byte[] byteArr = new byte[8];
        int size = buffer.length - offset;
        if (size >= 4) {
            System.arraycopy(buffer, offset, byteArr, 4, 4);
        } else {
            System.arraycopy(buffer, offset, byteArr, 8 - size, size);
        }

        return ByteBuffer.wrap(byteArr).getLong();
    }
}
