package com.nokia.sms.controller;

import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.nokia.common.http.R;
import com.nokia.sms.service.BlacklistService;
import com.nokia.sms.vo.RequestParms;

/**
 * 黑名单查询及解除接口类
 */
@RestController
@RequestMapping("/sms/blacklist/api/")
public class BlacklistController {

    private final BlacklistService blacklistService;

    public BlacklistController(BlacklistService blacklistService) {
        this.blacklistService = blacklistService;
    }

    /**
     * 查询结构
     */
    public R query(@RequestBody RequestParms parms) {
        // 查询结果
        
        // 根据结果进行返回
        return R.ok();
    }

    /**
     * 黑名单解除接口
     */
    public R remove(@RequestBody RequestParms parms) {
        // 尝试解除黑名单
        boolean result = blacklistService.remove(parms);
        if (result) {
            return R.ok().message("成功解除黑名单");
        } else {
            return R.error().message("解除黑名单失败");
        }

    }
}